package com.springboot.sseemitter.model.service;

import com.springboot.sseemitter.model.Emp;
import com.springboot.sseemitter.model.repository.EmpRepo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

//Causes Lombok to generate a logger field.
@Slf4j
@Service
public class EmpServ {

    @Autowired
    private EmpRepo repository;

    // Save a new employee into the database.
    public void save(final Emp employee) {
        repository.save(employee);
    }

    // Get the total count of employees from the database.
    public long getTotalEmployees() {
        log.info("Finding the total count of employees from the database.");
        return repository.count();
    }

    // Get all employees from the database.
    public List<Emp> findAll() {
        log.info("Fetching all employees from the database.");
        return repository.findAll();
    }
}
